Redmine - Defect #24271

htmlentities warning
2016-11-04 22:37 - James H

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 3.2.6

Resolution: Fixed Affected version: 3.3.1
Description

During my migration to 3.3.1, | got this warning:

.../ruby/gems/2.3.0/gems/htmlentities-4.3.1/lib/htmlentities/mappings/expanded.rb:465: warning: key "inodot" is duplicated and
overwritten on line 466

Installing htmlentities 4.3.4 seems to resolve this message. Have not had any issues with htmlentities yet.

Related issues:
Has duplicate Redmine - Defect #24917: duplicated key upgrading from 3.3.1 to... Closed

Associated revisions

Revision 16485 - 2017-04-05 12:53 - Toshi MARUYAMA
Gemfile: explicitly use rbpdf 1.19.1 (#22335, #24271)

Revision 16486 - 2017-04-05 13:04 - Toshi MARUYAMA
Merged r16485 from trunk to 3.3-stable (#22335, #24271)
Gemfile: explicitly use rbpdf 1.19.1.

Revision 16487 - 2017-04-05 13:05 - Toshi MARUYAMA
Merged r16485 from trunk to 3.2-stable (#22335, #24271)
Gemfile: explicitly use rbpdf 1.19.1.

Revision 16507 - 2017-04-06 19:16 - Jean-Philippe Lang
Reverts to rbpdf 1.19.0 for now.

Using rbpdf-font 1.19.1
Encoding::UndefinedConversionError: "\x81" to UTF-8 in conversion from Windows-1
252 to UTF-8

An error occurred while installing rbpdf (1.19.1), and Bundler cannot continue.
Make sure that “gem install rbpdf -v '1.19.1" succeeds before bundling.

Revision 16512 - 2017-04-06 22:05 - Toshi MARUYAMA
Merged r16507 from trunk to 3.3-stable (#22335, #24271)
Gemfile: use rbpdf 1.19.0.
Revision 16513 - 2017-04-06 22:07 - Toshi MARUYAMA
Merged r16507 from trunk to 3.2-stable (#22335, #24271)
Gemfile: use rbpdf 1.19.0.

Revision 16520 - 2017-04-08 09:33 - Jean-Philippe Lang
Use rbpdf 1.19.2 (#22335, #24271).
Revision 16530 - 2017-04-09 10:14 - Jean-Philippe Lang
Merged r16520 (#22335, #24271).

Revision 16531 - 2017-04-09 10:15 - Jean-Philippe Lang
Merged r16520 (#22335, #24271).

History

#1 - 2016-11-05 02:58 - Toshi MARUYAMA

It cause by this.
https://github.com/naitoh/rbpdf/issues/33

#2 - 2017-01-25 01:13 - Go MAEDA
- Has duplicate Defect #24917: duplicated key upgrading from 3.3.1 to 3.3.2 version added

#3 - 2017-03-30 01:15 - Jun NAITOH

This problem fixed by rbpdf 1.19.1.
please bundle update.

#4 - 2017-03-30 02:23 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Jun NAITOH wrote:

This problem fixed by rbpdf 1.19.1.
please bundle update.

| confirmed that this issue can be fixed by executing bundle update.
Naitoh-san, thank you for maintaining rbpdf.

#5 - 2017-04-05 13:07 - Toshi MARUYAMA

- Target version set to 3.2.6

#6 - 2017-04-06 18:48 - Jean-Philippe Lang

- Status changed from Closed to Reopened

An error occurs when running bundle update with rbpdf 1.19.1 under windows:
Using rbpdf-font 1.19.1

Encoding::UndefinedConversionError: "\x81" to UTF-8 in conversion from Windows-1
252 to UTF-8

An error occurred while installing rbpdf (1.19.1), and Bundler cannot continue.
Make sure that “gem install rbpdf -v '1.19.1'" succeeds before bundling.

#7 - 2017-04-06 18:48 - Jean-Philippe Lang

3.2.6 release is planned for this week-end, I'll have to revert to previous rbpdf version unless a fixed version of rbpdf is released. Thanks.

#8 - 2017-04-06 19:32 - Toshi MARUYAMA

What Ruby version do you use?
| cannot reproduce on ruby 2.2.6p396 (2016-11-15 revision 56800) [i386-mingw32] in Japanese Windows 10.

#9 - 2017-04-06 21:53 - Toshi MARUYAMA
- Status changed from Reopened to New

- Target version changed from 3.2.6 to 3.4.0

| can confirm rbpdf 1.19.1 cannot be installed on Ruby 1.9.3 and 2.0 on Windows.
| think there is no benefit to continue support Ruby 1.9.3 and 2.0.
So | create #25538.
https://github.com/naitoh/rbpdf/issues/33
https://www.redmine.org/issues/25538

#10 - 2017-04-06 21:54 - Toshi MARUYAMA
- Blocked by Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added

#11 - 2017-04-06 21:55 - Toshi MARUYAMA
- Resolution deleted (Fixed)

#12 - 2017-04-08 03:20 - Go MAEDA
- Target version changed from 3.4.0 to 3.2.6
Toshi's test shows that the problem reported by Jean-Phillipe (#24271#note-6) occurs only with older versions of Ruby.

I think that it would be better to pin rbpdf version for Ruby <=2.0 only. Many Redmine user in Japan are annoyed with the defect #22335 due to rbpdf
1.19.0.

Index: Gemfile

-—— Gemfile (revision 16517)
+++ Gemfile (working copy)
@@ -24,7 +24,7 @@

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem

gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin]
—-gem "rbpdf", "1.19.0"
+gem "rbpdf", (RUBY_VERSION >= "2.1" 2 "~> 1.19.1" : "1.19.0")

# Optional gem for LDAP authentication
group :ldap do

#13 - 2017-04-08 06:01 - Toshi MARUYAMA
- Target version changed from 3.2.6 to 3.4.0

| want to prevent old Ruby user will say "ChangelLog says htmlentities warning fixed, but my Redmine still warn on my Redmine why?".

#14 - 2017-04-08 06:16 - Jun NAITOH

Jean-Philippe Lang wrote:

An error occurs when running bundle update with rbpdf 1.19.1 under windows:

Sorry, | will fix today, this problem.

3.2.6 release is planned for this week-end, I'll have to revert to previous rbpdf version unless a fixed version of rbpdf is released. Thanks.

Please wait.

#15 - 2017-04-08 06:25 - Go MAEDA
Toshi MARUYAMA wrote:

| want to prevent old Ruby user will say "ChangelLog says htmlentities warning fixed, but my Redmine still warn on my Redmine why?".

How about updating Gemfile as | wrote in #24271#note-12 without closing this issue (without listing this issue in CHANGELOG)? We can list this
issue after dropping support for older versions of Ruby. | think that it is beneficial for users to deliver deliver fixes as soon as possible.

As Holger Just wrote in #25538#note-7, | think dropping Ruby 2.0 support right now is somewhat problematic.

#16 - 2017-04-08 08:53 - Jun NAITOH
Jun NAITOH wrote:

Jean-Philippe Lang wrote:

An error occurs when running bundle update with rbpdf 1.19.1 under windows:

Sorry, | will fix today, this problem.
https://www.redmine.org/issues/24271#note-6
https://www.redmine.org/issues/22335
https://www.redmine.org/issues/24271#note-12
3.2.6 release is planned for this week-end, I'll have to revert to previous rbpdf version unless a fixed version of rbpdf is released. Thanks.

Please wait.

This problem fixed by rbpdf 1.19.2.
please bundle update.

#17 - 2017-04-08 09:36 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version changed from 3.4.0 to 3.2.6
- Resolution set to Fixed
Jun NAITOH wrote:
This problem fixed by rbpdf 1.19.2.

please bundle update.

Great! Thank you for fixing this.

#18 - 2017-04-08 09:51 - Toshi MARUYAMA
- Blocked by deleted (Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required)

#19 - 2017-04-09 10:15 - Jean-Philippe Lang

- Status changed from Resolved to Closed
